Bug 1487337 - Locale info installed to @DATADIRNAME@
Summary: Locale info installed to @DATADIRNAME@
Keywords:
Status: CLOSED DUPLICATE of bug 1536815
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-firewall
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1508693 1571135 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 16:22 UTC by Sam Thursfield
Modified: 2018-09-10 16:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-10 16:15:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Sam Thursfield 2017-08-31 16:22:32 UTC
The system-config-firewall-base package has installed its locale data to the wrong place.

Here is the full list of contents:

$ rpm -q -l system-config-firewall-base
/etc/sysconfig/system-config-firewall
/usr/@DATADIRNAME@/locale/ar/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/as/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/bg/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/bn/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/bn_IN/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/bs/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ca/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/cs/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/cy/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/da/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/de/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/el/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/en_GB/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/es/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/et/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/fa/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/fi/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/fr/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/gu/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/he/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/hi/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/hr/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/hu/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/hy/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/id/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/is/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/it/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ja/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ka/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/kn/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ko/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ku/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/lo/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/lt/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/lv/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/mai/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/mk/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ml/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/mn/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/mr/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ms/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/my/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/nb/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/nds/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/nl/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/or/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/pa/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/pl/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/pt/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/pt_BR/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ro/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ru/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/si/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/sk/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/sl/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/sq/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/sr/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/sr@latin/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/sv/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ta/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/te/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/tr/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/uk/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/ur/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/vi/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/zh_CN/LC_MESSAGES/system-config-firewall.mo
/usr/@DATADIRNAME@/locale/zh_TW/LC_MESSAGES/system-config-firewall.mo
/usr/sbin/lokkit
/usr/share/doc/system-config-firewall-base
/usr/share/doc/system-config-firewall-base/COPYING
/usr/share/system-config-firewall
/usr/share/system-config-firewall/__pycache__
/usr/share/system-config-firewall/__pycache__/fw_config.cpython-36.opt-1.pyc
/usr/share/system-config-firewall/__pycache__/fw_config.cpython-36.pyc
/usr/share/system-config-firewall/__pycache__/fw_functions.cpython-36.opt-1.pyc
/usr/share/system-config-firewall/__pycache__/fw_functions.cpython-36.pyc
/usr/share/system-config-firewall/__pycache__/fw_icmp.cpython-36.opt-1.pyc
/usr/share/system-config-firewall/__pycache__/fw_icmp.cpython-36.pyc
/usr/share/system-config-firewall/__pycache__/fw_selinux.cpython-36.opt-1.pyc
/usr/share/system-config-firewall/__pycache__/fw_selinux.cpython-36.pyc
/usr/share/system-config-firewall/__pycache__/fw_services.cpython-36.opt-1.pyc
/usr/share/system-config-firewall/__pycache__/fw_services.cpython-36.pyc
/usr/share/system-config-firewall/convert-config
/usr/share/system-config-firewall/etc_services.py
/usr/share/system-config-firewall/fw_compat.py
/usr/share/system-config-firewall/fw_config.py
/usr/share/system-config-firewall/fw_firewalld.py
/usr/share/system-config-firewall/fw_functions.py
/usr/share/system-config-firewall/fw_icmp.py
/usr/share/system-config-firewall/fw_iptables.py
/usr/share/system-config-firewall/fw_lokkit.py
/usr/share/system-config-firewall/fw_parser.py
/usr/share/system-config-firewall/fw_selinux.py
/usr/share/system-config-firewall/fw_services.py
/usr/share/system-config-firewall/fw_sysconfig.py
/usr/share/system-config-firewall/fw_sysctl.py


Package version info:

$ rpm -q -i system-config-firewall-base
Name        : system-config-firewall-base
Version     : 1.2.29
Release     : 15.fc26
Architecture: noarch
Install Date: Sat 19 Aug 2017 02:15:17 BST
Group       : System Environment/Base
Size        : 2354234
License     : GPLv2+
Signature   : RSA/SHA256, Sat 11 Feb 2017 00:49:02 GMT, Key ID 812a6b4b64dab85d
Source RPM  : system-config-firewall-1.2.29-15.fc26.src.rpm
Build Date  : Fri 10 Feb 2017 20:11:29 GMT
Build Host  : buildvm-aarch64-14.arm.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://fedorahosted.org/system-config-firewall
Summary     : system-config-firewall base components and command line tool
Description :
Base components of system-config-firewall with lokkit, the command line tool
for basic firewall setup.

Comment 1 J. Randall Owens 2017-11-07 19:32:18 UTC
*** Bug 1508693 has been marked as a duplicate of this bug. ***

Comment 2 fednuc 2017-11-13 14:20:23 UTC
At least on my F27 system, I was able to remove system-config-firewall-base without losing any other dependent packages, at which point there were no files under /usr/@DATADIRNAME@, just directories unowned by any packages (find /usr/@DATADIRNAME@/ -execdir rpm -qf {} \;), so I manually removed @DATADIRNAME@.

That said, in the nicest possible way, the maintainer of this package needs to pull their finger out and fix this or at least respond.

Comment 3 Sergio Basto 2017-12-08 23:31:42 UTC
+1 in F26

Comment 4 Fedora End Of Life 2018-05-03 08:03:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Ting-Wei Lan 2018-05-03 13:28:26 UTC
'dnf repoquery -l system-config-firewall-base' shows that it still install locale files in /usr/@DATADIRNAME@ on Fedora 28.

Comment 6 Fedora End Of Life 2018-05-29 11:28:16 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Mattias Ellert 2018-05-29 11:59:12 UTC
Bug is still present in Fedora 28.

Comment 8 Panu Matilainen 2018-06-07 09:08:04 UTC
Yuk. Yes, still in F28, please fix.

Comment 9 Jan Kratochvil 2018-09-10 16:15:56 UTC

*** This bug has been marked as a duplicate of bug 1536815 ***

Comment 10 Jan Kratochvil 2018-09-10 16:16:00 UTC
*** Bug 1571135 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.